%{
#define YYSTYPE double
#include "sTimeCoq.tab.h"
#include <stdlib.h>
#include <stdio.h>
#include <math.h>
%}


%%
[ \t]+      { ; }

[0-9]+    {   
            yylval=atof(yytext);
            return(FLOAT);
          }
:        return (DOTS); 

\.        return (DOT); 

\n         return (yytext[0]); 

.       { ; /* ignora tudo o resto */ }

%%


int yywrap()                  /* called by yylex()                  */
{ return(1); }                /*   0: yylex() continues reading     */
                              /*   other: yylex() stops             */
